Bug 672015 (perl-Eval-Closure) - Review Request: perl-Eval-Closure - Safely and cleanly create closures via string eval
Summary: Review Request: perl-Eval-Closure - Safely and cleanly create closures via st...
Status: CLOSED ERRATA
Alias: perl-Eval-Closure
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Eval-Clos...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-23 09:23 UTC by Iain Arnell
Modified: 2013-05-10 14:24 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-05 22:20:44 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-01-23 09:23:31 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Eval-Closure.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Eval-Closure-0.01-1.fc14.src.rpm

Description:
String eval is often used for dynamic code generation. For instance, Moose uses
it heavily, to generate inlined versions of accessors and constructors, which
speeds code up at runtime by a significant amount.  String eval is not without
its issues however - it's difficult to control the scope it's used in (which
determines which variables are in scope inside the eval), and it can be quite
slow, especially if doing a large number of evals.

This module attempts to solve both of those problems. It provides an
eval_closure function, which evals a string in a clean environment, other than
a fixed list of specified variables. It also caches the result of the eval, so
that doing repeated evals of the same source, even with a different
environment, will be much faster (but note that the description is part of the
string to be evaled, so it must also be the same (or non-existent) if caching
is to work properly).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2737882

*rt-0.10_01

Comment 1 Emmanuel Seyman 2011-01-23 11:32:12 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-01-23 12:14:41 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2737923

 [x] Rpmlint output:

perl-Eval-Closure.src: W: spelling-error %description -l en_US inlined -> unlined, inline, inclined
perl-Eval-Closure.src: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
perl-Eval-Closure.src: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
perl-Eval-Closure.src: W: spelling-error %description -l en_US evals -> vales, valse, evils
perl-Eval-Closure.src: W: spelling-error %description -l en_US evaled -> evaded, evaluated, evaluate
perl-Eval-Closure.noarch: W: spelling-error %description -l en_US inlined -> unlined, inline, inclined
perl-Eval-Closure.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
perl-Eval-Closure.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
perl-Eval-Closure.noarch: W: spelling-error %description -l en_US evals -> vales, valse, evils
perl-Eval-Closure.noarch: W: spelling-error %description -l en_US evaled -> evaded, evaluated, evaluate
2 packages and 1 specfiles checked; 0 errors, 10 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct

No Buildroot specified, default is used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.

aba60e35313642cf0b7b40c1d94e47e3  Eval-Closure-0.01.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86-64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2737923
 [!] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

All tests successful.
Files=11, Tests=34,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.37 cusr  0.04 csys =  0.46 CPU)
Result: PASS

APPROVED.

Comment 3 Iain Arnell 2011-01-23 16:55:10 UTC
Thanks for the review. But your mouse seems to have drifted - you set fedora-cvs flag, not fedora-review.

Comment 4 Emmanuel Seyman 2011-01-23 22:07:44 UTC
(In reply to comment #3)
>
> Thanks for the review. But your mouse seems to have drifted - you set
> fedora-cvs flag, not fedora-review.

Has it been that long since I did a review ? Sorry about that, it's fixed now.

Comment 5 Iain Arnell 2011-01-24 04:03:19 UTC
New Package SCM Request
=======================
Package Name: perl-Eval-Closure
Short Description: Safely and cleanly create closures via string eval
Owners: iarnell
Branches: f13 f14
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2011-01-24 17:46:45 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-01-25 07:44:14 UTC
perl-Eval-Closure-0.01-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Eval-Closure-0.01-1.fc14

Comment 8 Fedora Update System 2011-01-25 07:44:21 UTC
perl-Eval-Closure-0.01-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Eval-Closure-0.01-1.fc13

Comment 9 Fedora Update System 2011-01-25 20:57:00 UTC
perl-Eval-Closure-0.01-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Eval-Closure'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Eval-Closure-0.01-1.fc14

Comment 10 Fedora Update System 2011-01-28 04:46:09 UTC
perl-Eval-Closure-0.02-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Eval-Closure-0.02-1.fc14

Comment 11 Fedora Update System 2011-01-28 04:46:16 UTC
perl-Eval-Closure-0.02-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Eval-Closure-0.02-1.fc13

Comment 12 Fedora Update System 2011-02-05 22:20:39 UTC
perl-Eval-Closure-0.02-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-02-05 22:20:52 UTC
perl-Eval-Closure-0.02-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Andrea Veri 2013-05-10 14:16:41 UTC
Package Change Request
======================
Package Name: perl-Eval-Closure
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig

Comment 15 Gwyn Ciesla 2013-05-10 14:24:17 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.